Package org.apache.sysds.runtime.instructions.spark

## Class BinUaggChainSPInstruction.RDDBinUaggChainFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.BinUaggChainSPInstruction.RDDBinUaggChainFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`

Enclosing class:
  BinUaggChainSPInstruction

    public static class BinUaggChainSPInstruction.RDDBinUaggChainFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RDDBinUaggChainFunction​(BinaryOperator bop, AggregateUnaryOperator uaggop)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call​(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDDBinUaggChainFunction

    public RDDBinUaggChainFunction​(BinaryOperator bop,
                                   AggregateUnaryOperator uaggop)

### Method Detail

#### call

    public MatrixBlock call​(MatrixBlock arg0)
                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`
Throws:
  `Exception`